Subject: Re: [PATCH v2] gnu: Include poppler-data with poppler.

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 03 Feb 2022 07:54:10 +0100

Am Donnerstag, dem 03.02.2022 um 00:47 +0900 schrieb Taiju HIGASHI:
> > Assertion (2) is wrong here: gimp's configure.ac directly checks for
> > the existence of poppler-data.  That makes it a direct dependency as
> > far as I'm concerned, even if they only ever use it through poppler.
> 
> I did not convey the context correctly.
> 
> I thought I was describing the behavior of the gimp package with the
> poppler-data dependency removed (= gimp,which indirectly depend on
> poppler-data).
> In that state, gimp will fail to build because pkg-config cannot detect
> poppler-data during the build process.
> Therefore, I left the poppler-data dependency in gimp.
> 
> I'm really sorry for my poor explanation.
Again, w.r.t. your explanation I claim that gimp does not "indirectly"
depend on poppler-data, but directly.  Voilà, le configure.ac [1].

[1]
https://gitlab.gnome.org/GNOME/gimp/-/blob/GIMP_2_10_30/configure.ac#L2023-L2024